安装使用jupyter(原来的notebook)

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/superdont/article/details/46468781


1。安装pyzmq
使用pip install pyzmq,安装不成功。
使用easy_install.exe pyzmq,安装成功。
2.安装tornado
pip tornado
安装完尚不成功,继续找
3.安装jinja2
pip install jinja2
4.
运行依旧不成功,提示错误:

IPython notebook format depends on the jsonschema package:

    https://pypi.python.org/pypi/jsonschema

Please install it first.
继续安装:
pip install jsonschema

按照提示安装完成。
运行:ipython notebook
出现jupyter,在其右侧,选择“new”,选择“Python2”

开始jupyter





如今更名为:jupyter,即为原来的notebook

参考资料:
2.http://blog.163.com/jinjunwei2003jinjunwei2003jinjunwei2003@126/blog/static/3185204320139239624489/
3.http://news.sciencenet.cn/htmlnews/2014/11/307201.shtm







-----------------
补充,关于保存:
nbconvert failed: No module named pygments.formatters
pip install pygments

nbconvert failed: you need to have pywin32 installed for this to work

pip install pywin32
失败。Collecting pywin32
  Could not find a version that satisfies the requirement pywin32 (from versions
: )
  Some externally hosted files were ignored as access to them may be unreliable
(use --allow-external pywin32 to allow).
No matching distribution found for pywin32
选择合适的安装包即可,是exe可执行文件。
第一次下载居然不成功,革命尚未成功,革命仍需努力,继续下载。
第二次下载下来的文件只有599k,文件实际7M多,怀疑被防火墙拦截,关掉防火墙再试。
保存为网页、py等都可以了,但是保存为通过lateX的pdf还是有错:
nbconvert failed: command could not be found: pdflatex
安装:pdflatex,pip install pdflatex,提示错误:
Collecting pdflatex
  Could not find a version that satisfies the requirement pdflatex (from version
s: )
No matching distribution found for pdflatex
还没找到对应方法。
---------------------------------------------------
20170108更新:
请通过安装Anaconta完成notebook的安装:
http://blog.csdn.net/superdont/article/details/54233017

展开阅读全文

没有更多推荐了,返回首页